package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 参数修改状态，(0.隐藏，1.页面仅查看，2.页面可修改，3.页面可删除，4.页面可修改删除)枚举类
*
* @author zxfei
*/
public enum ModStatusEnum {
    隐藏(0, "隐藏"),
    页面仅查看(1, "页面仅查看"),
    页面可修改(2, "页面可修改"),
    页面可删除(3, "页面可删除"),
    页面可修改删除(4, "页面可修改删除");
    private Integer value;
    private String desc;

    ModStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ModStatusEnum getByValue(Integer value) {
        for (ModStatusEnum modStatusEnum : ModStatusEnum.values()) {
            if (modStatusEnum.getValue() == value) {
                return modStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ModStatusEnum item : ModStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}